Bug 105573 - [patch] mail/courier 0.53.3 upgrade
Summary: [patch] mail/courier 0.53.3 upgrade
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gabor Kovesdan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-15 14:50 UTC by bsd
Modified: 2006-12-12 20:40 UTC (History)
0 users

See Also:


Attachments
file.diff (513 bytes, patch)
2006-11-15 14:50 UTC, bsd
no flags Details | Diff
file.diff (143 bytes, patch)
2006-11-15 14:50 UTC, bsd
no flags Details | Diff
file.diff (112 bytes, patch)
2006-11-15 14:50 UTC, bsd
no flags Details | Diff
file.diff (155 bytes, patch)
2006-11-15 14:50 UTC, bsd
no flags Details | Diff
courier-0.53.2-0.53.3-diff (4.36 KB, text/x-diff; charset="us-ascii")
2006-12-10 17:25 UTC, bsd
no flags Details
courier-0.53.2-0.53.3-diff (30.98 KB, text/x-diff; charset="iso-8859-15")
2006-12-10 20:22 UTC, bsd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bsd 2006-11-15 14:50:01 UTC
- update to 0.53.3
- patch for function name collision (fam support)

Note to commiter:
patch file patch-rfc2045_rfc2045reply.c should be removed
new patches below

Fix: # diff -u Makefile.orig Makefile
PORTNAME=  courier
-PORTVERSION=  0.53.2
+PORTVERSION=  0.53.3
 CATEGORIES=   mail ipv6
 MASTER_SITES= ${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR= courier

# diff -u distinfo.orig distinfo
# cat files/patch-imap_outbox.c
-    return (sendmsg(message, argv, errlogger));
+    return (ci_sendmsg(message, argv, errlogger));
 }

-int sendmsg(const char *message, char **argv, void (*err_func)(char *))
+int ci_sendmsg(const char *message, char **argv, void (*err_func)(char *))
 {
     char buffer[512];
     int i;

# cat files/patch-imap_outbox.h
int check_outbox(const char *message, const char *mailbox);
 int is_outbox(const char *mailbox);
-int sendmsg(const char *message, char **argv, void (*err_func)(char *));
+int ci_sendmsg(const char *message, char **argv, void (*err_func)(char *));
 const char *defaultSendFrom();

 #endif

# cat files/patch-imap_smap.c


-               i=sendmsg(tmpname, argvec,
+               i=ci_sendmsg(tmpname, argvec,
                   &senderr);
                free(argvec);
                if (i)--pp03YDeMXYGfGr1lyf9W9gPIgNE1vMr5hXuDJPNO4nKx6LKx
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig    Wed Nov 15 13:38:38 2006
+++ Makefile   Wed Nov 15 13:38:54 2006
@@ -6,7 +6,7 @@
 #
Comment 1 Edwin Groothuis freebsd_committer 2006-11-15 14:50:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Gabor Kovesdan freebsd_committer 2006-12-06 12:14:29 UTC
State Changed
From-To: feedback->open

Maintainer timeout. 


Comment 3 Gabor Kovesdan freebsd_committer 2006-12-06 12:14:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gabor

Take.
Comment 4 Gabor Kovesdan freebsd_committer 2006-12-09 16:01:19 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 5 Gabor Kovesdan freebsd_committer 2006-12-09 16:05:24 UTC
It fails to compile on 4.11. Could you fix it or mark it as BROKEN,
please? A log is available here about the failure:
http://people.freebsd.org/~gabor/logs/courier-0.53.3.log

Gabor
Comment 6 bsd 2006-12-10 17:25:47 UTC
New patchset in attachment, works on my FreeBSD-4 as well.
Comment 7 Gabor Kovesdan freebsd_committer 2006-12-10 18:58:12 UTC
Thanks for the new diff. The patches follow the old (and wrong) naming 
scheme, they should not contain ":". Could you substitute them with "-" 
and regenerate the diff, please?
Thanks in advance,
Gabor
Comment 8 bsd 2006-12-10 20:22:45 UTC
On Sunday 10 December 2006 19:58, Gabor Kovesdan wrote:
> Thanks for the new diff. The patches follow the old (and wrong) naming
> scheme, they should not contain ":". Could you substitute them with "-"
> and regenerate the diff, please?
> Thanks in advance,
> Gabor

Here you are... I choose __ to encode directory. Nothing else is changed.
Milan
Comment 9 Gabor Kovesdan freebsd_committer 2006-12-11 21:57:53 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 10 Gabor Kovesdan freebsd_committer 2006-12-12 20:33:17 UTC
State Changed
From-To: open->closed

Committed along with some other changes, thanks.
Comment 11 dfilter service freebsd_committer 2006-12-12 20:34:12 UTC
gabor       2006-12-12 20:32:45 UTC

  FreeBSD ports repository

  Modified files:
    mail/courier         Makefile distinfo 
  Added files:
    mail/courier/files   extrapatch-maildir__maildirfilter.c 
                         extrapatch-webmail__folder.c 
                         extrapatch-webmail__newmsg.c 
                         patch-courier__configure 
                         patch-courier__doc__Makefile.in 
                         patch-courier__module.fax 
                         patch-courier__perms.sh.in 
                         patch-courier__submit.C 
                         patch-liblock__locktest.c 
  Removed files:
    mail/courier/files   patch-courier::configure 
                         patch-courier::doc::Makefile.in 
                         patch-courier::module.fax 
                         patch-courier::perms.sh.in 
                         patch-courier::submit.C 
                         patch-liblock::locktest.c 
                         patch-rfc2045_rfc2045reply.c 
  Log:
  - Update to 0.53.3
  - Patch for function name collision (fam support)
  - Remove deprecated USE_RCORDER
  - Pass maintainership to submitter
  - portlint(1)
  
  PR:             ports/105573
  Submitted by:   Milan Obuch<bsd@dino.sk>
  Approved by:    erwin (mentor), maintainer timeout
  
  Revision  Changes    Path
  1.43      +9 -7      ports/mail/courier/Makefile
  1.20      +3 -3      ports/mail/courier/distinfo
  1.1       +18 -0     ports/mail/courier/files/extrapatch-maildir__maildirfilter.c (new)
  1.1       +20 -0     ports/mail/courier/files/extrapatch-webmail__folder.c (new)
  1.1       +18 -0     ports/mail/courier/files/extrapatch-webmail__newmsg.c (new)
  1.3       +0 -15     ports/mail/courier/files/patch-courier::configure (dead)
  1.3       +0 -71     ports/mail/courier/files/patch-courier::doc::Makefile.in (dead)
  1.2       +0 -35     ports/mail/courier/files/patch-courier::module.fax (dead)
  1.3       +0 -69     ports/mail/courier/files/patch-courier::perms.sh.in (dead)
  1.2       +0 -54     ports/mail/courier/files/patch-courier::submit.C (dead)
  1.1       +15 -0     ports/mail/courier/files/patch-courier__configure (new)
  1.1       +71 -0     ports/mail/courier/files/patch-courier__doc__Makefile.in (new)
  1.1       +35 -0     ports/mail/courier/files/patch-courier__module.fax (new)
  1.1       +69 -0     ports/mail/courier/files/patch-courier__perms.sh.in (new)
  1.1       +54 -0     ports/mail/courier/files/patch-courier__submit.C (new)
  1.2       +0 -81     ports/mail/courier/files/patch-liblock::locktest.c (dead)
  1.1       +81 -0     ports/mail/courier/files/patch-liblock__locktest.c (new)
  1.2       +0 -24     ports/mail/courier/files/patch-rfc2045_rfc2045reply.c (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"